Bug 382131 - jar unable to find libjli.so
jar unable to find libjli.so
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 06:08 EST by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 12:32:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-14 06:08:26 EST
Description of problem:

On today's rawhide:

bash-3.2# jar
jar: error while loading shared libraries: libjli.so: cannot open shared object
file: No such file or directory
bash-3.2# cat /etc/ld.so.conf.d/javahack.conf <<EOF
> /usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/lib/i386/jli
> /usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/lib/i386/jli
> EOF
bash-3.2# ldconfig
bash-3.2# jar
IcedTea Client VM warning: Can't detect initial thread stack location - find_vma
failed
Usage: jar {ctxui}[vfm0Me] [jar-file] [manifest-file] [entry-point] [-C dir]
files ...
...
bash-3.2#

In Fedora 8 libjli.so is looked up via RPATH:

$ readelf -a `which jar` |grep rpath
 0x0000000f (RPATH)                      Library rpath:
[$ORIGIN/../lib/i386/jli:$ORIGIN/../jre/lib/i386/jli]
$ 

I observed the same in Rawhide though...

bash-3.2# readelf -a `which jar` |grep rpath
 0x0000000f (RPATH)                      Library rpath:
[$ORIGIN/../lib/i386/jli:$ORIGIN/../jre/lib/i386/jli]
bash-3.2# 

Version-Release number of selected component (if applicable):

java-1.7.0-icedtea-1.7.0.0-0.19.b21.snapshot.fc8
Comment 1 Lillian Angel 2007-11-22 10:08:31 EST
I can't seem to reproduce this problem with
java-1.7.0-icedtea-1.7.0.0-0.20.b23.snapshot.fc9

Can you try updating to the IcedTea (b23) in rawhide?
Comment 2 Lillian Angel 2007-11-26 12:32:40 EST
This is no longer a bug. It has been fixed in
java-1.7.0-icedtea-1.7.0.0-0.20.b23.snapshot.fc9

Note You need to log in before you can comment on or make changes to this bug.